Package: groovy.console.ui

## [Java] Class ConsoleTextEditor

- groovy.console.ui.ConsoleTextEditor

-     public class ConsoleTextEditor
      extends JScrollPane

  Component which provides a styled editor for the console.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JScrollPane` | `VIEWPORT, VERTICAL_SCROLLBAR, HORIZONTAL_SCROLLBAR, ROW_HEADER, COLUMN_HEADER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, LOWER_LEADING_CORNER, LOWER_TRAILING_CORNER, UPPER_LEADING_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR_POLICY, HORIZONTAL_SCROLLBAR_POLICY, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_ALWAYS, WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConsoleTextEditor()` Creates a new instance of ConsoleTextEditor

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `changedUpdate(DocumentEvent documentEvent)`
    `` | `public boolean` | `clipBoardAvailable()`
    `` | `public void` | `enableHighLighter(Class<? extends DocumentFilter> clazz)`
    `` | `public String` | `getDefaultFamily()`
    `` | `public Action` | `getPrintAction()`
    `` | `public Action` | `getRedoAction()`
    `` | `public TextEditor` | `getTextEditor()`
    `` | `public Action` | `getUndoAction()`
    `` | `protected void` | `initActions()`
    `` | `public void` | `insertUpdate(DocumentEvent documentEvent)`
    `` | `public void` | `paintComponent(Graphics g)`
    `` | `public void` | `removeUpdate(DocumentEvent documentEvent)`
    `` | `public void` | `setDefaultFamily(String defaultFamily)`
    `` | `public void` | `setEditable(boolean editable)`
    `` | `public void` | `setShowLineNumbers(boolean showLineNumbers)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JScrollPane` | `action, add, add, add, add, add, add, addAncestorListener, addComponentListener, addContainerListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, computeVisibleRect, contains, contains, countComponents, createHorizontalScrollBar, createImage, createImage, createToolTip, createVerticalScrollBar, createVolatileImage, createVolatileImage, deliverEvent, disable, dispatchEvent, doLayout, enable, enable, enableInputMethods, equals, findComponentAt, findComponentAt, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBackground, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getBounds, getClass, getClientProperty, getColorModel, getColumnHeader, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponentListeners, getComponentOrientation, getComponentPopupMenu, getComponentZOrder, getComponents, getConditionForKeyStroke, getContainerListeners, getCorner, getCursor, getDebugGraphicsOptions, getDefaultLocale, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFocusTraversalPolicy, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getHorizontalScrollBar, getHorizontalScrollBarPolicy, getIgnoreRepaint, getInheritsPopupMenu, getInputContext, getInputMap, getInputMap, getInputMethodListeners, getInputMethodRequests, getInputVerifier, getInsets, getInsets, getKeyListeners, getLayout, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getMouseListeners, getMouseMotionListeners, getMousePosition, getMousePosition, getMouseWheelListeners, getName, getNextFocusableComponent, getParent, getPopupLocation, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getRowHeader, getSize, getSize, getToolTipLocation, getToolTipText, getToolTipText, getToolkit, getTopLevelAncestor, getTransferHandler, getTreeLock, getUI, getUI, getUIClassID, getVerifyInputWhenFocusTarget, getVerticalScrollBar, getVerticalScrollBarPolicy, getVetoableChangeListeners, getViewport, getViewportBorder, getViewportBorderBounds, getVisibleRect, getWidth, getX, getY, gotFocus, grabFocus, handleEvent, hasFocus, hashCode, hide, imageUpdate, insets, inside, invalidate, isAncestorOf, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusCycleRoot, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isFocusable, isFontSet, isForegroundSet, isLightweight, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isShowing, isValid, isValidateRoot, isVisible, isWheelScrollingEnabled, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, notify, notifyAll, paint, paintAll, paintComponents, paintImmediately, paintImmediately, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, printComponents, putClientProperty, registerKeyboardAction, registerKeyboardAction, remove, remove, remove, removeAll, removeAncestorListener, removeComponentListener, removeContainerListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, repaint, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, resize, resize, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setBounds, setBounds, setColumnHeader, setColumnHeaderView, setComponentOrientation, setComponentPopupMenu, setComponentZOrder, setCorner, setCursor, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setDropTarget, setEnabled, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFocusable, setFont, setForeground, setHorizontalScrollBar, setHorizontalScrollBarPolicy, setIgnoreRepaint, setInheritsPopupMenu, setInputMap, setInputVerifier, setLayout, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setMixingCutoutShape, setName, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setRowHeader, setRowHeaderView, setSize, setSize, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVerticalScrollBar, setVerticalScrollBarPolicy, setViewport, setViewportBorder, setViewportView, setVisible, setWheelScrollingEnabled, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusDownCycle, transferFocusUpCycle, unregisterKeyboardAction, update, updateUI, validate, wait, wait, wait`

- - ### Constructor Detail

    - #### public ConsoleTextEditor()

      Creates a new instance of ConsoleTextEditor

  - ### Method Detail

    - #### @Override
      public void changedUpdate(DocumentEvent documentEvent)

    - #### public boolean clipBoardAvailable()

    - #### public void enableHighLighter(Class<? extends DocumentFilter> clazz)

    - #### public String getDefaultFamily()

    - #### public Action getPrintAction()

    - #### public Action getRedoAction()

    - #### public TextEditor getTextEditor()

    - #### public Action getUndoAction()

    - #### protected void initActions()

    - #### @Override
      public void insertUpdate(DocumentEvent documentEvent)

    - #### @Override
      public void paintComponent(Graphics g)

    - #### @Override
      public void removeUpdate(DocumentEvent documentEvent)

    - #### public void setDefaultFamily(String defaultFamily)

    - #### public void setEditable(boolean editable)

    - #### public void setShowLineNumbers(boolean showLineNumbers)